﻿using Microsoft.AspNetCore.Mvc;

[Route("[controller]")]
[ApiController]
public class CatalogController : ControllerBase
{
    private readonly IHttpClientFactory _httpClientFactory;
    public CatalogController(IHttpClientFactory httpClientFactory)
    {
        _httpClientFactory = httpClientFactory;
    }

    [HttpGet("{id}")]
    public async Task<IActionResult> Get(int id)
    {
        var httpClient = _httpClientFactory.CreateClient("InventoryApi");
        string requestEndpoint = $"inventory/{id}";

        HttpResponseMessage response = await httpClient.GetAsync(requestEndpoint);

        if (response.IsSuccessStatusCode)
        {
            int itemsInStock = await response.Content.ReadFromJsonAsync<int>();
            return Ok(itemsInStock);
        }

        return StatusCode((int)response.StatusCode, response.Content.ReadAsStringAsync());
    }
}
